package database

type DataSources = []DataSourcesType[any]

type DataSourcesType[T any] struct {
	Type   string `comment:"数据源类型"`
	Enable bool   `comment:"是否启用"`
	Config T      `comment:"配置项"`
}

type DataSourcesConfig interface {
	Name() string
}
