package cn.skcks.matrix.v2.model.auth.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

@Schema(title = "用户登录")
@Data
public class UserLoginDto {
    @Schema(title = "账号")
    @NotBlank(message = "账号不能为空")
    private String account;

    @Schema(title = "密码")
    @NotBlank(message = "密码不能为空")
    private String password;
}
