package cn.skcks.matrix.v2.model.auth.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
@Schema(title = "用户注册返回信息")
public class UserRegisterVo {
    @Schema(title = "注册状态")
    private boolean status;

    @Schema(title = "异常信息")
    private String exception;

    @Schema(title = "用户id")
    private String userId;
}
