CREATE TABLE IF NOT EXISTS `location_record` (
                                   `id` varchar(255) NOT NULL,
                                   `callback_time` datetime DEFAULT NULL,
                                   `location_time` datetime DEFAULT NULL,
                                   `location_type` int DEFAULT NULL,
                                   `latitude` double DEFAULT NULL,
                                   `longitude` double DEFAULT NULL,
                                   `accuracy` double DEFAULT NULL,
                                   `altitude` double DEFAULT NULL,
                                   `bearing` double DEFAULT NULL,
                                   `speed` double DEFAULT NULL,
                                   `country` varchar(255) DEFAULT NULL,
                                   `province` varchar(255) DEFAULT NULL,
                                   `city` varchar(255) DEFAULT NULL,
                                   `district` varchar(255) DEFAULT NULL,
                                   `street` varchar(255) DEFAULT NULL,
                                   `street_number` varchar(255) DEFAULT NULL,
                                   `city_code` varchar(255) DEFAULT NULL,
                                   `ad_code` varchar(255) DEFAULT NULL,
                                   `address` varchar(255) DEFAULT NULL,
                                   `description` varchar(255) DEFAULT NULL,
                                   `user_id` bigint NOT NULL,
                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB
DEFAULT CHARSET = utf8mb4
COLLATE = utf8mb4_general_ci;
