import http from "matrix-middle-service-web/src/api";
import {LoginDTO} from "matrix-middle-service-web/src/api/auth";

export interface locationRecordListDTO {
    startTime?:string,
    endTime?:string
}

export const locationRecord = {
    list: (dto:locationRecordListDTO)=>{
        return http.post("/location/record/list", dto,{
            headers: {
                token: localStorage.getItem("token")
            }
        })
    }
}
