package cn.skcks.matrix.v2.model.auth.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
@Schema(title = "用户登录返回信息")
public class UserLoginVo {
    @Schema(title = "登录状态")
    private boolean status;

    @Schema(title = "用户id")
    private String id;

    @Schema(title = "用户令牌")
    private String token;

    @Schema(title = "刷新令牌")
    private String refreshToken;

    @Schema(title = "错误信息")
    private String exception;
}
