package cn.skcks.matrix.v2.model.role.dto;

import cn.skcks.matrix.v2.model.casbin.CasbinConstant;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

@Schema(title = "获取角色下所有用户")
@Data
public class GetRoleUsers {
    @NotBlank(message = "角色 不能为空")
    @Schema(description = "角色")
    private String role;

    @NotBlank(message = "系统 不能为空")
    @Schema(description = "系统", defaultValue = CasbinConstant.DEFAULT_SYSTEM)
    private String system;
}
