package cn.skcks.matrix.v2.services.location.record;

import cn.skcks.matrix.v2.model.jwt.dto.Claims;
import cn.skcks.matrix.v2.model.location.record.dto.LocationRecordDto;
import cn.skcks.matrix.v2.model.location.record.dto.LocationRecordParams;
import cn.skcks.matrix.v2.model.location.record.dto.PageLocationRecordParams;
import cn.skcks.matrix.v2.model.services.ServiceResult;
import cn.skcks.matrix.v2.orm.mybatis.dynamic.model.LocationRecord;
import com.github.pagehelper.PageInfo;

import java.util.Collection;

public interface LocationRecordService {
    ServiceResult<Collection<LocationRecord>> getLocationRecord(LocationRecordParams params, Claims claims);

    ServiceResult<PageInfo<LocationRecord>> getPageLocationRecord(PageLocationRecordParams params, Claims claims);

    ServiceResult<Void> postLocationRecord(LocationRecordDto locationRecordDto, Claims claims) throws Exception;
}
