package cn.skcks.matrix.v2.services.route;

import cn.skcks.matrix.v2.model.route.dto.RouteInfo;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.stereotype.Service;
import org.springframework.web.method.HandlerMethod;
import org.springframework.web.servlet.mvc.method.RequestMappingInfo;

import javax.annotation.Nullable;
import java.util.List;

@Service
public interface RouteService{
    List<RouteInfo> getRoutes();

    @Nullable
    RouteInfo getRouteInfo(HttpServletRequest request);

    List<RouteInfo> getRouteInfoList(RequestMappingInfo info, HandlerMethod method);
}
