### 切换 yarn 版本
```shell
yarn set version berry
```

### 修改 .yarnrc.yml
> 追加如下内容 以支持 传统 node-modules
```yaml
nodeLinker: node-modules
yarnPath: .yarn/releases/yarn-3.4.1.cjs
```

### 创建 vite + vue3 + ts 项目
```shell
yarn vite create . --template vue-ts
```


### storybook6
```shell 
npx storybook init
```

### 升级到 storybook7 (截止到提交时刻 版本 7 仍为 beta.54 版本)
```shell
npx storybook@next upgrade --prerelease
```
